**`D. Kavya Kusuma`[NAME]** -NL- Phone no: **`9948549382`[PHONES_PHONE]** -NL- **`Devops Engineer`[EMPLOYER_ROLE]** -NL- E-mail: -NL- **`kavyakusuma433@gmail.com`[EMAILS_EMAIL]** -NL- **`Ecolab Digital Center`[PROJECT_COMPANY_NAME]** -NL- **`Career Objective`[SUMMARY_HEADING]** -NL- Seeking a challenging opportunity with an organization where my knowledge, skills and experience -NL- can be extensively applied, allowing me avenues to develop leadership skills and have a measurable -NL- positive impact. -NL- **`Summary`[SUMMARY_HEADING]** -NL- Having 2 years of experience in Azure Devops and 1.5+ years in Livesite. Experience in automated -NL- and manual deployments using CI/CD & Visual Studio respectively. Hands-on experience on various -NL- deployments like Dacpac, Webjob, SSIS packages, EBX, Webapps. Good working experience in -NL- determining the branching and environment strategy for the release and setting up the environments -NL- for deployments. Experience in debugging the deployment errors and resolve the conflicts during -NL- code merge. Assisted in release management activities. Work with Software Engineers, Product -NL- Managers, and QA Engineers in an Agile team environment. Have basic knowledge on PowerShell and -NL- SQL. -NL- **`Skill Set`[SKILLS_HEADING]** -NL- Azure Devops (VSTS), Microsoft Azure Portal, ICM, Geneva, Dynatrace, Azure Active Directory, Azure -NL- Data Explorer, -NL- PowerBI, SQL, PowerShell, GitHub -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- - Currently working as a **`Devops Engineer`[EMPLOYER_ROLE]** at **`Ecolab Digital Center`[PROJECT_COMPANY_NAME]** at Bangalore from August’19. -NL- - Worked as **`Azure Devops Engineer`[EMPLOYER_ROLE]** at **`Mindtree`[EMPLOYER_COMPANY_NAME]** at Hyderabad from July’16 – May’19. -NL- **`Professional Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Devops Engineer`[EMPLOYER_ROLE]** [Ecolab Digital Centre] -NL- Working as an individual contributor and playing a pivot role in release planning, production releases, -NL- branching strategy and automating usage reports. -NL- Project #1 -NL- **`Customer Data Management`[PROJECT_TITLE]**: [ **`Ecolab Digital Center`[PROJECT_COMPANY_NAME]**] -NL- CDM - Foundational technology platform that integrates and manages customer-related data -NL- necessary to enable and control access to Ecolab CDS applications. CDM is the central hub for -NL- accounts, sites, users, alignments, and permissions for all CDS solutions like Portal, eCommerce, -NL- ECAA – Ecolab Customer Audit Application and Notifications. Uses EBX, a web-based tool that allows -NL- for management of users, hierarchies, alignments, etc. -NL- As a part of CDM team the following are my Roles and Responsibilities: -NL-  Determining the Environment and Branching Strategy as part of new release -NL-  Responsible for setting up the environment as per the Strategy -NL-  Creating the CI/CD pipelines for the Deployment of CDS applications -NL-  Responsible for setting up all the branch policies -NL-  Coordinating with Developers on the branch strategy and helping them in raising the PRs for -NL- deployment -NL-  Coordinating with QA team for testing whenever code is deployed in QA environment -NL-  Worked with Developers to resolve the Merge Conflicts during the code merge -NL-  Hands-on experience in Dacpac & Webjob deployments using CI/CD automation and manual -NL- deployment using Visual Studio -NL-  Hands-on experience in EBX, SSIS package deployments -NL-  Debugging the issues during the deployments -NL- Other Responsibilities: -NL-  Contributed to team in Automating the DTU usage report -NL-  Working on the Post DB refresh Activities, Smoke test of the EBX -NL-  Helping team with Azure DevOps Queries -NL-  Having Knowledge on ADF Pipelines and ADF Deployments. -NL-  Helping other teams in DevOps set-up -NL- Tools and Technologies used: Azure DevOps (VSTS), Visual Studio, CI/CD, Azure DevOps Git, -NL- Git Hub, Azure Portal -NL- Have knowledge on PowerShell, Jenkins, Docker and Terraform. -NL- Project#2 -NL- **`Visual Studio Online Live Site`[PROJECT_TITLE]**: [ **`MindTree`[PROJECT_COMPANY_NAME]**] -NL-  Worked closely with the software engineering and product management teams to design, -NL- deliver and manage our services with high uptime. -NL-  Contributed in maintaining the servers Compliance by patching them every month by following -NL- the SOPs and maintained the SOPs up to date. -NL-  Creating VM’s and web instance in Azure -NL-  Application Deployment in Azure with IAAS Services -NL-  Analyzing and narrowing down the root cause of the issue -NL-  Participate in product sprints, write user stories and deliver on them for highly available, -NL- secure, globally performing service. -NL-  Maintaining the knowledge bases up to date and Quality in presenting the Outage details. -NL-  Having working knowledge on LTM and GTM -NL-  Account migrations across the Azure regions based on the requirement. -NL-  Strong Knowledge on Application Life Cycle and production environment maintenance (Live -NL- Site/Web Application). -NL- Tools and Technologies used: Azure DevOps (VSTS), Visual Studio, CI/CD, Azure DevOps Git, -NL- Power BI, Azure Data Explorer, Geneva, Gomez, App Insights, LTM, GTM, IcM (Ticketing tool), Azure -NL- Portal -NL- ACHIEVEMENTS: TEAM SPOT AWARD -NL-  Received four team spot awards for consequently 2 years as my team received appreciation -NL- from Microsoft for mitigating high severity issues very fast when downtime occurred in some -NL- regions of Azure. -NL-  Received award from Centre Head for quickly scaling up in a new project and receiving -NL- customer appreciation. -NL-  Achieved “Azure-Bronze”, “Azure-Silver” Certificates for Azure Level -1 & 2 assessments -NL-  Received a partnership award from colleagues for helping them in their work. -NL- **`ACADEMIC DETAILS:`[EDUCATION_HEADING]** -NL- Bachelor of Technology (**`ECE`[EDUCATION_COURSE]**) from **`Avanthi Institute of Engineering`[EDUCATION_INSTITUTE]** in 2016 -NL- 